// 菜单
export const system = [
  { icon: 'icon-essential-information', title: '基本信息', router: 'basic', },
  { icon: 'icon-bangdingweixin', title: '绑定微信', router: '', is_routine: '1' },
  { icon: 'icon-xiugaimima', title: '修改密码', router: 'password', },
  { icon: 'icon-tuichudenglu', title: '退出登录', router: 'login', is_routine: '2' },
]
// 超级管理员
export const router_zero = [
  { icon: 'icon-xingming1', title: '用户管理', router: 'user', },
  { icon: 'icon-leixing', title: '商品类型管理', router: 'type', },
]
// 科室人员
export const router_one = [
  { icon: 'icon-caigou', title: '采购申请', router: 'apply' },
]
// 办公室人员
export const router_two = [
  { icon: 'icon-shenhe-copy', title: '采购审核', router: 'apply_examine' },
]
// 采购部门
export const router_thr = [
  { icon: 'icon--caigouguanli', title: '采购需求信息', router: 'apply_review' },
  { icon: 'icon-mairu', title: '采买需求信息', router: 'market_buy' },
]
// 入库管理部门
export const router_four = [
  { icon: 'icon-shangpin', title: '库存管理', router: 'stock', },
  { icon: 'icon-dingdan', title: '采买订单管理', router: 'stock_order', },
  { icon: 'icon-cangpeitubiao_huanhuorukutuihuoruku', title: '入库管理', router: 'indepot', },
  { icon: 'icon-cangpeitubiao_chukuhuanhuochuku', title: '出库管理', router: 'outdepot', },
]
// 财务部门
export const router_five = [
  { icon: 'icon-dingdandaifukuan', title: '付款确认', router: 'payment' },
]
// 供货单位
export const router_six = [
  { icon: 'icon-shangpin', title: '商品管理', router: 'market' },
  { icon: 'icon-dingdan', title: '订单管理', router: 'order' },
]
// 用户类别
export const type = [
  { value: '0', label: '超级管理员' },
  { value: '1', label: '科室人员' },
  { value: '2', label: '办公室人员' },
  { value: '3', label: '采购部门' },
  { value: '4', label: '入库管理部门' },
  { value: '5', label: '财务部门' },
  { value: '6', label: '供货单位' },
]
// 采购需求表状态
export const apply_status = [
  { value: '0', label: '待审中' },
  { value: '1', label: '通过' },
  { value: '-1', label: '拒绝' },
  { value: '2', label: '有货，可领取' },
  { value: '3', label: '无货，需采买' },
  { value: '4', label: '领取确认完成' },
]
// 采买需求表状态
export const buy_status = [
  { value: '0', label: '待供货单位确认' },
  { value: '1', label: '同意订单，待送货' },
  { value: '-1', label: '拒绝订单，无法送货' },
  { value: '2', label: '订单已签收，待供货单位确认' },
  { value: '3', label: '待财务确认' },
  { value: '4', label: '财务已确认' },
]
// 库存商品类型
export const stock_type = [
  { value: '1', label: '固定资产' },
  { value: '2', label: '商品' },
]