const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '采购申请', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    // 采购申请
    list: [{ user_name: '法外狂徒张三', user_phone: '12345678901', examine_date: '111', status_name: '待审', status: '2' }],
    // 弹框
    dialog: { title: '详细信息', show: false, type: '1' },
    // 详细信息
    info: { user_name: '法外狂徒张三', user_phone: '12345678901', examine_name: '李四', examine_date: '111', examine_desc: '我想不同意，但我还是同意了', order: [{ name: '小洋人', num: '121', desc: '别卖太便宜了，赔钱' }], },
  },
  back: function () {
    wx.navigateBack({ url: '/pages/apply/index' })
  },
  // 添加采购申请
  toAdd: function () {
    wx.navigateTo({ url: `/pages/apply/detail` })
  },
  // 详细信息
  toView: function (e) {
    this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
  },
  // 领取确认
  toConfirm: function (e) {
    wx.showToast({ title: `领取确认成功`, icon: 'success', duration: 2000 });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight();
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})