// pages/order/index.js
const app = getApp();
Page({

   /**
    * 页面的初始数据
    */
   data: {
      frameStyle: { useTop: true, name: '订单信息', leftArrow: true, useBar: false },
      // 主体高度
      infoHeight: '',
      userInfo: {},
      // 查询
      shoopingtext: '',
      // 采购申请审核
      list: [
         { order_num: 'Ygj4757945hdFueu', receive_user_name: '胡英俊', mech_name: '翻斗幼儿园-小豆班', status_name: '待供货单位确认', status: '0', user_name: '采购人员', user_phone: '12345678901', money: '3344', receive_user_phone: '98765432109', receive_address: '翻斗大街翻斗花园2号楼1001室', },
         { order_num: 'Hgj4757945hdFueu', receive_user_name: '胡图图', mech_name: '翻斗幼儿园-小豆班', status_name: '待供货单位确认', status: '1', user_name: '采购人员', user_phone: '12345678901', money: '3344', receive_user_phone: '98765432109', receive_address: '翻斗大街翻斗花园2号楼1001室', order: [{ name: '小洋人', num: '123', money: '3000' }, { name: '娃哈哈', num: '123', money: '344' }] }
      ],
      // 弹框
      dialog: { title: '详细信息', show: false, type: '1' },
      // 详细信息
      info: {},
   },

   back: function () {
      wx.navigateBack({ url: '/pages/home/index' })
   },
   // 详细信息
   toView: function (e) {
      let item = e.currentTarget.dataset.item;
      this.setData({ info: item })
      this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
   },
   // 订单确认
   toCheck: function (e) {
      wx.showModal({
         title: '订单确认',
         content: '您是否同意订单?',
         confirmText: '同意',
         cancelText: '拒绝',
         success: (res) => {
            if (res.confirm) wx.showToast({ title: `已成功同意订单`, icon: 'success', duration: 2000 })
            else if (res.cancel) wx.showToast({ title: `已拒绝该订单`, icon: 'error', duration: 2000 })
         }
      })
   },
   /**
    * 生命周期函数--监听页面加载
    */
   onLoad: function (options) {
      // 计算高度
      this.searchHeight();
   },
   // 计算高度
   searchHeight: function () {
      let frameStyle = this.data.frameStyle;
      let client = app.globalData.client;
      // 减去状态栏
      let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
      // 是否减去底部菜单
      if (frameStyle.useBar) infoHeight = infoHeight - 50;
      if (infoHeight) this.setData({ infoHeight: infoHeight })
   },

   /**
    * 生命周期函数--监听页面初次渲染完成
    */
   onReady: function () {

   },

   /**
    * 生命周期函数--监听页面显示
    */
   onShow: function () {
   },

   /**
    * 生命周期函数--监听页面隐藏
    */
   onHide: function () {

   },

   /**
    * 生命周期函数--监听页面卸载
    */
   onUnload: function () {

   },

   /**
    * 页面相关事件处理函数--监听用户下拉动作
    */
   onPullDownRefresh: function () {

   },

   /**
    * 页面上拉触底事件的处理函数
    */
   onReachBottom: function () {

   },

   /**
    * 用户点击右上角分享
    */
   onShareAppMessage: function () {

   }
})