// pages/login/login.js

const { buy_status } = require('../../utils/dict');
const app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '采买订单管理', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        // 查询
        shoopingtext: '',
        // 采买列表
        list: [],
        // 弹框
        dialog: { title: '详细信息', show: false, type: '1' },
        // 详细信息
        info: {},
    },
    back: function () {
        wx.navigateBack({ url: '/pages/home/index' })
    },
    // 详细信息
    toView: function (e) {
        this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
    },
    // 订单签收
    toSign: function (e) {
        console.log(e.currentTarget.dataset);
    },
    // 查询
    shoppinginput: function (e) {
        this.setData({ shoopingtext: e.detail.value })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.search();
        // 计算高度
        this.searchHeight();
    },
    search: function (data) {
        console.log(data);
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        // 减去状态栏
        let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.search();
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})